<script setup lang="ts">
import { useStockStore } from '@/stores/stock';
import type { ReceiptStockItem } from '@/types/ReceiptStockItem';
import { ref } from 'vue';

const stockStore = useStockStore()


 
</script>
<template>
      <v-table>
        <thead>
            <tr>
                <th>Name</th>
                <th>Amount</th>
                <th>Unit</th>
                <th>Price</th>
               
            </tr>
        </thead>
        <tbody>
            <tr v-for="(item) of stockStore.receiptStockItems" :key="item.id"> 
                <td>{{item.name}}</td>
                <td><v-row><v-text-field 
                 inputmode="numeric" 
                 style="margin-left: 2%; width: 100px ; height: 20px; padding-bottom: 45px;" density="compact"
                 v-model="item.unitPerItem"
                 :rules="[(v) =>!!v || 'Field is required',
    (v) => /^\d+$/.test(v) || 'Please enter a valid number',(v) => v>0||'Amount cannot less than 0']"
                 append-inner-icon="mdi-send" 
                @click:append-inner="item.unitPerItem"
                ></v-text-field>
            </v-row></td>
                <td>{{item.unit}}</td>
                <td><v-row> <v-text-field style="margin-left: 2%; width: 60px ; height: 50px;" density="compact"
                            
                            append-inner-icon="mdi-send" 
                            v-model="item.beforeprice"
                            :rules="[(v) =>!!v || 'Field is required',
    (v) => /^\d+$/.test(v) || 'Please enter a valid number',(v) => v>0||'Price cannot less than 0']"
                            ref="price"
                            @click:append-inner="stockStore.enterPrice(item)"
                            @keyup.enter="stockStore.enterPrice(item)"
                            :clearable="true"
                    ></v-text-field><div style="padding-top: 22px; padding-right: 10px;">บาท</div> </v-row></td>
            </tr>
        </tbody>
    </v-table>
           
</template>